<ui:composition xmlns:g="http://www.ihe.net/gazelle" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml">
    <s:div rendered="#{manager.validator != null}" id="filesDiv">
        <dl class="dl-horizontal">
            <s:decorate template="/layout/display/_display.xhtml">
                <ui:define name="label">#{messages['net.ihe.gazelle.xval.Description']}</ui:define>
                <h:outputText value="#{manager.validator.description}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_display.xhtml">
                <ui:define name="label">#{messages['net.ihe.gazelle.xval.AffinityDomain_3']}</ui:define>
                <h:outputText value="#{manager.validator.affinityDomain}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_display.xhtml">
                <ui:define name="label">#{messages['net.ihe.gazelle.OID']}</ui:define>
                <h:outputText value="#{manager.validator.oid}"/>
            </s:decorate>
            <rich:panel styleClass="gzl-alert gzl-alert-red"
                        rendered="#{manager.areAllInputsWithFiles() == false}">
                <h:outputText
                        value="#{messages['net.ihe.gazelle.xval.WARNINGNotAllInputsHaveAnUploadedFileMakeSureThe']}"/>
            </rich:panel>
        </dl>
        <br/>
        <h:outputText
                value="#{messages['net.ihe.gazelle.xval.TheValidatorExpectsSomeFilesAsInputsTheyAreListI']}"
                style="font-weight:bold;"/>
        <br/>
        <br/>
        <ui:include src="/xvalidation/validate/filesTable.xhtml">
            <ui:param name="managedBean" value="#{manager}"/>
        </ui:include>
    </s:div>
</ui:composition>